public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/baselayout/
Date: Wed,  5 Jul 2023 00:41:43 +0000 (UTC)	[thread overview]
Message-ID: <1688517701.da8169c96af55704989cc0ccb4176917d97b35d3.floppym@gentoo> (raw)

commit:     da8169c96af55704989cc0ccb4176917d97b35d3
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  5 00:39:03 2023 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Wed Jul  5 00:41:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da8169c9

sys-apps/baselayout: move pkg_setup and pkg_preinst

This moves them to the traditional place according to phase execution
order.

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/baselayout/baselayout-2.13-r1.ebuild | 52 +++++++++++++--------------
 sys-apps/baselayout/baselayout-9999.ebuild    | 52 +++++++++++++--------------
 2 files changed, 52 insertions(+), 52 deletions(-)

diff --git a/sys-apps/baselayout/baselayout-2.13-r1.ebuild b/sys-apps/baselayout/baselayout-2.13-r1.ebuild
index 49f04008670b..8cc92f9d92cc 100644
--- a/sys-apps/baselayout/baselayout-2.13-r1.ebuild
+++ b/sys-apps/baselayout/baselayout-2.13-r1.ebuild
@@ -21,10 +21,6 @@ IUSE="build +split-usr"
 
 RDEPEND="!sys-apps/baselayout-prefix"
 
-pkg_setup() {
-	multilib_layout
-}
-
 riscv_compat_symlink() {
 	# Here we apply some special sauce for riscv.
 	# Two multilib layouts exist for now:
@@ -191,29 +187,8 @@ multilib_layout() {
 	fi
 }
 
-pkg_preinst() {
-	# We need to install directories and maybe some dev nodes when building
-	# stages, but they cannot be in CONTENTS.
-	# Also, we cannot reference $S as binpkg will break so we do this.
+pkg_setup() {
 	multilib_layout
-	if use build ; then
-		if use split-usr ; then
-			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout
-		else
-			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout-usrmerge
-		fi
-	fi
-	rm -f "${ED}"/usr/share/${PN}/Makefile || die
-
-	# Create symlinks in pkg_preinst to avoid Portage collision check.
-	# Create the symlinks in ${ED} via dosym so that we own it.
-	# Only create the symlinks if it wont cause a conflict in ${EROOT}.
-	if [[ -L ${EROOT}/var/lock || ! -e ${EROOT}/var/lock ]]; then
-		dosym ../run/lock /var/lock
-	fi
-	if [[ -L ${EROOT}/var/run || ! -e ${EROOT}/var/run ]]; then
-		dosym ../run /var/run
-	fi
 }
 
 src_prepare() {
@@ -291,6 +266,31 @@ src_install() {
 	fi
 }
 
+pkg_preinst() {
+	# We need to install directories and maybe some dev nodes when building
+	# stages, but they cannot be in CONTENTS.
+	# Also, we cannot reference $S as binpkg will break so we do this.
+	multilib_layout
+	if use build ; then
+		if use split-usr ; then
+			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout
+		else
+			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout-usrmerge
+		fi
+	fi
+	rm -f "${ED}"/usr/share/${PN}/Makefile || die
+
+	# Create symlinks in pkg_preinst to avoid Portage collision check.
+	# Create the symlinks in ${ED} via dosym so that we own it.
+	# Only create the symlinks if it wont cause a conflict in ${EROOT}.
+	if [[ -L ${EROOT}/var/lock || ! -e ${EROOT}/var/lock ]]; then
+		dosym ../run/lock /var/lock
+	fi
+	if [[ -L ${EROOT}/var/run || ! -e ${EROOT}/var/run ]]; then
+		dosym ../run /var/run
+	fi
+}
+
 pkg_postinst() {
 	local x
 

diff --git a/sys-apps/baselayout/baselayout-9999.ebuild b/sys-apps/baselayout/baselayout-9999.ebuild
index 2294e5e84cc3..a588c68f51e9 100644
--- a/sys-apps/baselayout/baselayout-9999.ebuild
+++ b/sys-apps/baselayout/baselayout-9999.ebuild
@@ -21,10 +21,6 @@ IUSE="build +split-usr"
 
 RDEPEND="!sys-apps/baselayout-prefix"
 
-pkg_setup() {
-	multilib_layout
-}
-
 riscv_compat_symlink() {
 	# Here we apply some special sauce for riscv.
 	# Two multilib layouts exist for now:
@@ -191,29 +187,8 @@ multilib_layout() {
 	fi
 }
 
-pkg_preinst() {
-	# We need to install directories and maybe some dev nodes when building
-	# stages, but they cannot be in CONTENTS.
-	# Also, we cannot reference $S as binpkg will break so we do this.
+pkg_setup() {
 	multilib_layout
-	if use build ; then
-		if use split-usr ; then
-			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout
-		else
-			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout-usrmerge
-		fi
-	fi
-	rm -f "${ED}"/usr/share/${PN}/Makefile || die
-
-	# Create symlinks in pkg_preinst to avoid Portage collision check.
-	# Create the symlinks in ${ED} via dosym so that we own it.
-	# Only create the symlinks if it wont cause a conflict in ${EROOT}.
-	if [[ -L ${EROOT}/var/lock || ! -e ${EROOT}/var/lock ]]; then
-		dosym ../run/lock /var/lock
-	fi
-	if [[ -L ${EROOT}/var/run || ! -e ${EROOT}/var/run ]]; then
-		dosym ../run /var/run
-	fi
 }
 
 src_prepare() {
@@ -291,6 +266,31 @@ src_install() {
 	fi
 }
 
+pkg_preinst() {
+	# We need to install directories and maybe some dev nodes when building
+	# stages, but they cannot be in CONTENTS.
+	# Also, we cannot reference $S as binpkg will break so we do this.
+	multilib_layout
+	if use build ; then
+		if use split-usr ; then
+			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout
+		else
+			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout-usrmerge
+		fi
+	fi
+	rm -f "${ED}"/usr/share/${PN}/Makefile || die
+
+	# Create symlinks in pkg_preinst to avoid Portage collision check.
+	# Create the symlinks in ${ED} via dosym so that we own it.
+	# Only create the symlinks if it wont cause a conflict in ${EROOT}.
+	if [[ -L ${EROOT}/var/lock || ! -e ${EROOT}/var/lock ]]; then
+		dosym ../run/lock /var/lock
+	fi
+	if [[ -L ${EROOT}/var/run || ! -e ${EROOT}/var/run ]]; then
+		dosym ../run /var/run
+	fi
+}
+
 pkg_postinst() {
 	local x
 


             reply	other threads:[~2023-07-05  0:41 UTC|newest]

Thread overview: 124+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-05  0:41 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04 19:54 [gentoo-commits] repo/gentoo:master commit in: sys-apps/baselayout/ Mike Gilbert
2024-11-04 19:52 Mike Gilbert
2024-11-03 23:37 Mike Gilbert
2024-04-30 18:52 Arthur Zamarin
2024-03-12  1:43 Mike Gilbert
2024-02-15 21:17 William Hubbs
2024-02-09 12:18 Andreas K. Hüttel
2024-02-08 17:37 Mike Gilbert
2023-12-15  7:14 Sam James
2023-11-12 10:38 Fabian Groffen
2023-08-22 16:09 William Hubbs
2023-08-22 16:09 William Hubbs
2023-08-21 22:47 William Hubbs
2023-08-19  6:23 Sam James
2023-07-18 22:41 Sam James
2023-07-18 22:41 Sam James
2023-07-18 22:41 Sam James
2023-07-09  1:32 Mike Gilbert
2023-07-09  1:32 Mike Gilbert
2023-03-04  5:34 Arthur Zamarin
2023-01-29  0:10 William Hubbs
2023-01-29  0:10 William Hubbs
2023-01-28 22:14 William Hubbs
2023-01-28 22:14 William Hubbs
2023-01-28 22:06 William Hubbs
2023-01-28 22:06 William Hubbs
2023-01-28 21:00 Mike Gilbert
2023-01-28  2:17 Mike Gilbert
2023-01-28  0:38 Mike Gilbert
2023-01-28  0:20 William Hubbs
2023-01-28  0:08 William Hubbs
2023-01-27 22:38 Mike Gilbert
2023-01-27 21:47 William Hubbs
2023-01-27 18:21 William Hubbs
2023-01-27 18:19 William Hubbs
2023-01-27 17:30 William Hubbs
2023-01-26  3:51 William Hubbs
2023-01-26  0:13 William Hubbs
2023-01-24 22:58 Andreas K. Hüttel
2023-01-04  6:37 William Hubbs
2023-01-04  6:21 William Hubbs
2022-11-14 21:03 Mike Gilbert
2022-11-14 20:26 Arthur Zamarin
2022-09-18 21:50 William Hubbs
2022-09-18  3:12 Mike Gilbert
2022-07-17 15:50 Fabian Groffen
2022-07-14 19:30 Fabian Groffen
2022-05-28 21:01 William Hubbs
2022-05-28 20:59 Jakov Smolić
2022-01-04 10:30 David Seifert
2022-01-04  3:29 Sam James
2021-11-15  9:27 Jakov Smolić
2021-09-29  0:19 William Hubbs
2021-09-28 17:59 William Hubbs
2021-09-27 22:09 William Hubbs
2021-09-27 20:58 William Hubbs
2021-09-27 20:38 William Hubbs
2021-09-27 20:10 William Hubbs
2021-09-27 18:28 William Hubbs
2021-09-25 22:37 William Hubbs
2021-09-24 23:15 William Hubbs
2021-09-24 21:16 William Hubbs
2021-09-24 19:11 William Hubbs
2021-06-12 19:43 Andreas K. Hüttel
2021-05-12 20:11 William Hubbs
2021-04-16 16:38 William Hubbs
2021-04-16 16:26 William Hubbs
2020-11-14 17:07 William Hubbs
2020-08-30 21:59 Sam James
2020-08-30 21:51 Sam James
2020-08-20 15:28 William Hubbs
2020-08-20 14:51 William Hubbs
2020-08-20 14:47 William Hubbs
2020-02-17  2:39 William Hubbs
2020-02-10  4:31 William Hubbs
2020-02-10  4:31 William Hubbs
2020-02-08 14:18 David Seifert
2019-10-16 18:29 William Hubbs
2019-05-04 18:36 Mikle Kolyada
2019-03-03 18:54 William Hubbs
2018-11-30 12:14 Jeroen Roovers
2018-11-12 11:13 Lars Wendler
2018-11-08  0:15 William Hubbs
2018-07-25 16:36 William Hubbs
2018-07-22 16:47 William Hubbs
2018-05-31 20:03 William Hubbs
2018-05-29  0:53 William Hubbs
2018-05-28 20:19 William Hubbs
2018-05-28 20:14 William Hubbs
2018-05-24 17:13 William Hubbs
2018-05-24 15:49 William Hubbs
2018-05-24  3:36 William Hubbs
2018-05-23 22:06 William Hubbs
2018-05-23 21:28 William Hubbs
2018-03-20 21:24 William Hubbs
2018-03-19 18:46 William Hubbs
2018-02-07 19:51 William Hubbs
2018-02-07  0:20 William Hubbs
2018-02-06 18:57 William Hubbs
2018-01-12  4:19 Mike Frysinger
2017-12-10 21:41 Michał Górny
2017-11-17 22:23 William Hubbs
2017-10-06 19:02 William Hubbs
2017-10-03 18:00 William Hubbs
2017-10-03 17:50 William Hubbs
2017-10-03 15:48 William Hubbs
2017-10-02 18:28 William Hubbs
2017-09-04  6:27 Benda XU
2017-08-09 18:59 Tim Harder
2017-08-09  9:19 Guilherme Amadio
2017-06-09 18:44 William Hubbs
2017-01-20 16:14 Mike Frysinger
2017-01-17 16:23 Lars Wendler
2016-12-21 11:23 Thomas Deutschmann
2016-12-17 10:15 Aaron Bauman
2016-10-26 16:44 Markus Meier
2016-10-12 10:08 Jeroen Roovers
2016-10-04  7:37 Tobias Klausmann
2016-09-03 11:06 Michał Górny
2016-09-03 11:06 Michał Górny
2016-09-01 21:44 William Hubbs
2016-08-24  1:26 William Hubbs
2016-06-30  3:00 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1688517701.da8169c96af55704989cc0ccb4176917d97b35d3.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox